/* ld script to make EOL bootloader
 * taken from the linux kernel i386 version by Russell King
 */

OUTPUT_ARCH(arm)
ENTRY(_start)
SECTIONS
{
        . = 0x8d000000;
        .text : { /* Text segment			*/
                _stext = .; /* Text and read-only data	*/
                        *(.text)
                        *(.gnu.warning)
                        *(.rodata)
                        *(.rodata.*)
                        *(.glue_7)
                        *(.glue_7t)
                *(.got) /* Global offset table		*/

                _etext = .; /* End of text section		*/
        }

        .data : {
                _sdata = .;
                *(.data)
                _edata = .;
        }

        .rodata : {
                _srodata = .;
                *(.rodata)
                _erodata = .;
        _end = .;
        }

        .bss : {
                _sbss = .;
                *(.bss)
                _ebss = .;
        _malloc_base = .;
        }
}
