/* Standard functions */

#ifndef __STDLIB_H
#define __STDLIB_H

typedef unsigned int size_t;

/* register access */
#define REG8(addr)  (*(volatile unsigned char  *) (addr))
#define REG16(addr) (*(volatile unsigned short *) (addr))
#define REG32(addr) (*(volatile unsigned int   *) (addr))

/* wait a given amount of micro/milliseconds */
#define OMAP730_TIMER_BASE 0xb80ec608 /* not really.. rather some SPL stuff */
void udelay(int timeout);
void mdelay(int timeout);

/* endless loop */
void die(void);

/* memory handling */
#define NULL 0
void *malloc(size_t size);
void *memset(void *buffer, int val, size_t length);
void *memcpy(void *output, const void *input, size_t length);

/* strings */
size_t strlen(const char *str);
int __strncmp(const char *str1, const char *str2, size_t count);
char const *strchr(const char *str, int c);
char const *strrchr(const char *str, int c);

/* console I/O */
int puts(const char *string);
void printb(const char *format, ...);

/* arithmetic */
unsigned int __udiv(unsigned int a, unsigned int b);

#endif
